QGIS Application - Bug report #12852
Handle errors in python expressions to avoid crashes
2015-05-30 08:51 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20945
Description

QGIS crashes ungracefully when a python expression script contains an error.

| think there should be a warning but the crashes should be avoided.

Crash log from my OSGeo4W install is here:
https://dl.dropboxusercontent.com/u/42637169/qgis-20150530-140918-3584-680-a9aade2.dmp

Related issues:
Related to QGIS Application - Bug report # 12850: scratch.py under user expre... Closed

2015-05-29

Associated revisions

Revision f7401¢c9b - 2015-05-31 12:07 AM - Salvatore Larosa

[user expression] Fix crash and add a log message when the expression is not valid, fixes #12852

Revision 96b535b2 - 2015-05-31 12:27 AM - Jiirgen Fischer

Merge pull request #2096 from slarosa/fix_crash_user_expressions

[user expression] fixes #12852

Revision 5647056b - 2015-06-29 06:37 PM - Salvatore Larosa

[user expression] Fix crash and add a log message when the expression is not valid, fixes #12852

(cherry picked from commit f7401c9b272f12fd543c36fe8c2e3217dcede791)

History

#1 - 2015-05-30 03:27 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"96b535b279fe0dba955a64e3e7a1011a92e9c2b3".

2025-04-27
